<?php
namespace Teknisa\SUP\Modules\Fornecimento\Modules\AutorizacaoFornecimento\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Teknisa\SUP\Modules\Fornecimento\Modules\AutorizacaoFornecimento\Services\Sup11300DadosFilialEnvioAfEmailService;

class Sup11300DadosFilialEnvioAfEmailController
{
    public function __construct($crudService, $parameterBag, Sup11300DadosFilialEnvioAfEmailService $service) {
        $this->crudService  = $crudService;
        $this->parameterBag = $parameterBag;
        $this->service      = $service;
    }
    
    public function UpdateDadosFilial(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        try {
            $this->service->UpdateDadosFilial($row);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 1));
        }
    }
}

